Forum

Author Topic: "Error reading project"  (Read 16737 times)

rossnixon

  • Jr. Member
  • **
  • Posts: 96
    • View Profile
Re: "Error reading project"
« Reply #15 on: May 18, 2017, 09:24:42 AM »
Hello VanForester,

In the doc.xml you can see the relative paths to the certain elements of the project, so you can just check, if there are such folders and files inside. If not, then remove the corresponding line from doc.xml.
Very useful to me today, thanks Alexey.
Managed to easily fix a small (fortunately) project after my point cloud zip file was corrupt. (Was named with .tmp at the end).
Version 1.3.1 Win10 64-bit.
« Last Edit: May 18, 2017, 09:42:27 AM by rossnixon »

coralRichard

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: "Error reading project"
« Reply #16 on: October 03, 2018, 03:50:00 AM »
Hello,

I am experiencing same type of error however I am not trying to open a PSX file but instead the PSZ.

I am generating my models on a remote server using the version 1.3.4 of Photoscan. I am generating models just fine from that however, when I transfer the models from the server to my local computer and try to open the PSZ file in my GUI Photoscan (also version 1.3.4) I receive the error "Unsupported Project Version".

I am not seeing any doc.xml file being produced on the server. So am not sure if most of the previous comments in the thread are that helpful to me.

Any idea of what may be happening and/or how to correct it?

Thanks!

Alexey Pasumansky

  • Agisoft Technical Support
  • Hero Member
  • *****
  • Posts: 14004
    • View Profile
Re: "Error reading project"
« Reply #17 on: October 03, 2018, 08:47:52 AM »
Hello coralRichard,

Is there any information regarding the required version in the Console pane when you are trying to open the project? Is it possible that on remote machine you have version 1.4.3 installed and not 1.3.4?
Best regards,
Alexey Pasumansky,
Agisoft LLC

coralRichard

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: "Error reading project"
« Reply #18 on: October 03, 2018, 07:17:52 PM »
Hi Alexey,

Yes you are correct, the remote server has version 1.4.3 while the local machine has 1.3.4

Since that is the case, is it possible to open the generated on my local machine? There is no information provided on the Console pane about required version. The only message is "Unsupported project version".

Thank you

Alexey Pasumansky

  • Agisoft Technical Support
  • Hero Member
  • *****
  • Posts: 14004
    • View Profile
Re: "Error reading project"
« Reply #19 on: October 04, 2018, 01:34:55 PM »
Hello coralRichard,

You either need to update your local version, or export the project file from the server using Save As -> PhotoScan 1.3 project file type (PSZ).
Best regards,
Alexey Pasumansky,
Agisoft LLC